package com.ruoyi.system.domain.visit;

import java.io.Serializable;
import java.util.Date;

public class VisitFreePlan implements Serializable {
    private String id;

    /**
     * 走访计划模板id
     *
     * @mbg.generated
     */
    private String planModelId;

    /**
     * 走访标题
     *
     * @mbg.generated
     */
    private String planTitle;

    /**
     * 走访类型
     *
     * @mbg.generated
     */
    private String planType;

    /**
     * 任务类型
     *
     * @mbg.generated
     */
    private String taskType;

    /**
     * 网格员名称
     *
     * @mbg.generated
     */
    private String planUserName;

    /**
     * 网格员useId
     *
     * @mbg.generated
     */
    private String useid;

    /**
     * 网格code（三级）
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 计划走访开始时间
     *
     * @mbg.generated
     */
    private String startTime;

    /**
     * 计划走访结束时间
     *
     * @mbg.generated
     */
    private String endTime;

    /**
     * 是否 无限制走访 0 否 1 是
     *
     * @mbg.generated
     */
    private String unlimited;

    /**
     * 计划走访总数
     *
     * @mbg.generated
     */
    private Long planTotal;

    /**
     * 计划走访企业总数
     *
     * @mbg.generated
     */
    private Long planComNum;

    /**
     * 计划走访商铺总数
     *
     * @mbg.generated
     */
    private Long planShopNum;

    /**
     * 计划走访房屋总数
     *
     * @mbg.generated
     */
    private Long planHouseNum;

    /**
     * 计划走访人口总数
     *
     * @mbg.generated
     */
    private Long planPeopleNum;

    /**
     * 走访企业总数
     *
     * @mbg.generated
     */
    private Long comNum;

    /**
     * 走访商铺总数
     *
     * @mbg.generated
     */
    private Long shopNum;

    /**
     * 走访房屋总数
     *
     * @mbg.generated
     */
    private Long houseNum;

    /**
     * 走访人口总数
     *
     * @mbg.generated
     */
    private Long peopleNum;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    private Date updateTime;

    /**
     * 最后修改人
     *
     * @mbg.generated
     */
    private String updateBy;

    /**
     * 1:有效 0:无效
     *
     * @mbg.generated
     */
    private String isValid;

    /**
     * 自由走访F/更新走访U
     */
    private String visitType;

    /**
     * 是否完成 1 进行中 2 即将超期 3 已结束 4 已完成
     *
     * @mbg.generated
     */
    private String hasDone;

    private String wgName;

    public String getWgName() {
        return wgName;
    }

    public void setWgName(String wgName) {
        this.wgName = wgName;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlanModelId() {
        return planModelId;
    }

    public void setPlanModelId(String planModelId) {
        this.planModelId = planModelId;
    }

    public String getPlanTitle() {
        return planTitle;
    }

    public void setPlanTitle(String planTitle) {
        this.planTitle = planTitle;
    }

    public String getPlanType() {
        return planType;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getPlanUserName() {
        return planUserName;
    }

    public void setPlanUserName(String planUserName) {
        this.planUserName = planUserName;
    }

    public String getUseid() {
        return useid;
    }

    public void setUseid(String useid) {
        this.useid = useid;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getUnlimited() {
        return unlimited;
    }

    public void setUnlimited(String unlimited) {
        this.unlimited = unlimited;
    }

    public Long getPlanTotal() {
        return planTotal;
    }

    public void setPlanTotal(Long planTotal) {
        this.planTotal = planTotal;
    }

    public Long getPlanComNum() {
        return planComNum;
    }

    public void setPlanComNum(Long planComNum) {
        this.planComNum = planComNum;
    }

    public Long getPlanShopNum() {
        return planShopNum;
    }

    public void setPlanShopNum(Long planShopNum) {
        this.planShopNum = planShopNum;
    }

    public Long getPlanHouseNum() {
        return planHouseNum;
    }

    public void setPlanHouseNum(Long planHouseNum) {
        this.planHouseNum = planHouseNum;
    }

    public Long getPlanPeopleNum() {
        return planPeopleNum;
    }

    public void setPlanPeopleNum(Long planPeopleNum) {
        this.planPeopleNum = planPeopleNum;
    }

    public Long getComNum() {
        return comNum;
    }

    public void setComNum(Long comNum) {
        this.comNum = comNum;
    }

    public Long getShopNum() {
        return shopNum;
    }

    public void setShopNum(Long shopNum) {
        this.shopNum = shopNum;
    }

    public Long getHouseNum() {
        return houseNum;
    }

    public void setHouseNum(Long houseNum) {
        this.houseNum = houseNum;
    }

    public Long getPeopleNum() {
        return peopleNum;
    }

    public void setPeopleNum(Long peopleNum) {
        this.peopleNum = peopleNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getHasDone() {
        return hasDone;
    }

    public void setHasDone(String hasDone) {
        this.hasDone = hasDone;
    }

    public String getVisitType() {
        return visitType;
    }

    public void setVisitType(String visitType) {
        this.visitType = visitType;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", planModelId=").append(planModelId);
        sb.append(", planTitle=").append(planTitle);
        sb.append(", planType=").append(planType);
        sb.append(", taskType=").append(taskType);
        sb.append(", planUserName=").append(planUserName);
        sb.append(", useid=").append(useid);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", unlimited=").append(unlimited);
        sb.append(", planTotal=").append(planTotal);
        sb.append(", planComNum=").append(planComNum);
        sb.append(", planShopNum=").append(planShopNum);
        sb.append(", planHouseNum=").append(planHouseNum);
        sb.append(", planPeopleNum=").append(planPeopleNum);
        sb.append(", comNum=").append(comNum);
        sb.append(", shopNum=").append(shopNum);
        sb.append(", houseNum=").append(houseNum);
        sb.append(", peopleNum=").append(peopleNum);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", isValid=").append(isValid);
        sb.append(", hasDone=").append(hasDone);
        sb.append(", visitType=").append(visitType);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitFreePlan other = (VisitFreePlan) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPlanModelId() == null ? other.getPlanModelId() == null : this.getPlanModelId().equals(other.getPlanModelId()))
            && (this.getPlanTitle() == null ? other.getPlanTitle() == null : this.getPlanTitle().equals(other.getPlanTitle()))
            && (this.getPlanType() == null ? other.getPlanType() == null : this.getPlanType().equals(other.getPlanType()))
            && (this.getTaskType() == null ? other.getTaskType() == null : this.getTaskType().equals(other.getTaskType()))
            && (this.getPlanUserName() == null ? other.getPlanUserName() == null : this.getPlanUserName().equals(other.getPlanUserName()))
            && (this.getUseid() == null ? other.getUseid() == null : this.getUseid().equals(other.getUseid()))
            && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
            && (this.getStartTime() == null ? other.getStartTime() == null : this.getStartTime().equals(other.getStartTime()))
            && (this.getEndTime() == null ? other.getEndTime() == null : this.getEndTime().equals(other.getEndTime()))
            && (this.getUnlimited() == null ? other.getUnlimited() == null : this.getUnlimited().equals(other.getUnlimited()))
            && (this.getPlanTotal() == null ? other.getPlanTotal() == null : this.getPlanTotal().equals(other.getPlanTotal()))
            && (this.getPlanComNum() == null ? other.getPlanComNum() == null : this.getPlanComNum().equals(other.getPlanComNum()))
            && (this.getPlanShopNum() == null ? other.getPlanShopNum() == null : this.getPlanShopNum().equals(other.getPlanShopNum()))
            && (this.getPlanHouseNum() == null ? other.getPlanHouseNum() == null : this.getPlanHouseNum().equals(other.getPlanHouseNum()))
            && (this.getPlanPeopleNum() == null ? other.getPlanPeopleNum() == null : this.getPlanPeopleNum().equals(other.getPlanPeopleNum()))
            && (this.getComNum() == null ? other.getComNum() == null : this.getComNum().equals(other.getComNum()))
            && (this.getShopNum() == null ? other.getShopNum() == null : this.getShopNum().equals(other.getShopNum()))
            && (this.getHouseNum() == null ? other.getHouseNum() == null : this.getHouseNum().equals(other.getHouseNum()))
            && (this.getPeopleNum() == null ? other.getPeopleNum() == null : this.getPeopleNum().equals(other.getPeopleNum()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getHasDone() == null ? other.getHasDone() == null : this.getHasDone().equals(other.getHasDone()))
            && (this.getVisitType() == null ? other.getVisitType() == null : this.getVisitType().equals(other.getVisitType()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPlanModelId() == null) ? 0 : getPlanModelId().hashCode());
        result = prime * result + ((getPlanTitle() == null) ? 0 : getPlanTitle().hashCode());
        result = prime * result + ((getPlanType() == null) ? 0 : getPlanType().hashCode());
        result = prime * result + ((getTaskType() == null) ? 0 : getTaskType().hashCode());
        result = prime * result + ((getPlanUserName() == null) ? 0 : getPlanUserName().hashCode());
        result = prime * result + ((getUseid() == null) ? 0 : getUseid().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getStartTime() == null) ? 0 : getStartTime().hashCode());
        result = prime * result + ((getEndTime() == null) ? 0 : getEndTime().hashCode());
        result = prime * result + ((getUnlimited() == null) ? 0 : getUnlimited().hashCode());
        result = prime * result + ((getPlanTotal() == null) ? 0 : getPlanTotal().hashCode());
        result = prime * result + ((getPlanComNum() == null) ? 0 : getPlanComNum().hashCode());
        result = prime * result + ((getPlanShopNum() == null) ? 0 : getPlanShopNum().hashCode());
        result = prime * result + ((getPlanHouseNum() == null) ? 0 : getPlanHouseNum().hashCode());
        result = prime * result + ((getPlanPeopleNum() == null) ? 0 : getPlanPeopleNum().hashCode());
        result = prime * result + ((getComNum() == null) ? 0 : getComNum().hashCode());
        result = prime * result + ((getShopNum() == null) ? 0 : getShopNum().hashCode());
        result = prime * result + ((getHouseNum() == null) ? 0 : getHouseNum().hashCode());
        result = prime * result + ((getPeopleNum() == null) ? 0 : getPeopleNum().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getHasDone() == null) ? 0 : getHasDone().hashCode());
        result = prime * result + ((getVisitType() == null) ? 0 : getVisitType().hashCode());
        return result;
    }
}